Summary: Round Robin Database Tool to store and display time-series data
Name: compat-librrd4
Version: 1.5.5
Release: 0.2%{?dist}
License: GPL
Group: Applications/Databases
URL: http://people.ee.ethz.ch/~oetiker/webtools/rrdtool/

Packager: William R. Lorenz <wrl@express.org>
Vendor: http://packages.express.org/

Source0: http://oss.oetiker.ch/rrdtool/pub/rrdtool-%{version}.tar.gz
Source1: rrdcached.init
Source2: rrdcached.sysconf
Source3: pcre-8.39.tar.bz2

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: freetype-devel, gcc-c++, libpng-devel, libxml2-devel, openssl-devel
BuildRequires: zlib-devel, gettext-devel
BuildRequires: intltool >= 0.35.0, make, groff

Requires: libxml2, openssl, zlib, gettext
Requires: initscripts >= 8.36

Conflicts: rrdtool < 1.6.0

%if 0%{?el4}
BuildRequires: evolution28-pango-devel
BuildRequires: evolution28-cairo-devel
BuildRequires: evolution28-glib2-devel
Requires: evolution28-pango
Requires: evolution28-cairo
Requires: evolution28-glib2
%else
BuildRequires: pango-devel
BuildRequires: cairo-devel
BuildRequires: glib2-devel
BuildRequires: xulrunner-devel
Requires: pango
Requires: cairo
Requires: glib2
%endif

%if 0%{?el5}
BuildRequires: dejavu-lgc-fonts
Requires: dejavu-lgc-fonts
%else
BuildRequires: dejavu-lgc-sans-fonts
BuildRequires: dejavu-lgc-sans-mono-fonts
BuildRequires: dejavu-sans-fonts
BuildRequires: dejavu-sans-mono-fonts
Requires: dejavu-lgc-sans-fonts
Requires: dejavu-lgc-sans-mono-fonts
Requires: dejavu-sans-fonts
Requires: dejavu-sans-mono-fonts
%endif

%description
RRD is the Acronym for Round Robin Database. RRD is a system to store and
display time-series data (i.e. network bandwidth, machine-room temperature,
server load average). It stores the data in a very compact way that will not
expand over time, and it presents useful graphs by processing the data to
enforce a certain data density. It can be used either via simple wrapper
scripts (from shell or Perl) or via frontends that poll network devices and
put a friendly user interface on it.

%prep
echo "use old fonts? %{oldfonts}"

%if 0%{?el4}
# Filter auto-requires for pango
cat > find-requires-%{name} <<EOT
#!/bin/sh
%{__find_requires} | grep -v 'pango'
exit 0
EOT
chmod 755 find-requires-%{name}
%define __find_requires %{_builddir}/find-requires-%{name}
%define _use_internal_dependency_generator 0
%endif

%setup -n rrdtool-%{version}
%setup -n rrdtool-%{version} -T -a3 -D

%build
%if 0%{?el4}
export LD_LIBRARY_PATH=/usr/evolution28/%{_lib}
export PKG_CONFIG_PATH=/usr/evolution28/%{_lib}/pkgconfig
export CFLAGS="`pkg-config --cflags cairo pangocairo pango pangoft2`"
export LDFLAGS="`pkg-config --libs  cairo pangocairo pango pangoft2`"
%endif

pushd pcre-8.39
	./configure --prefix="$RPM_BUILD_DIR/pcre" \
		--disable-shared \
		--with-pic \
		--enable-utf \
		--enable-unicode-properties \
		--enable-pcre8 \
		--enable-pcre16 \
		--enable-pcre32 \
		--enable-jit
	make
	make install
popd

export CFLAGS="-I$RPM_BUILD_DIR/pcre/include $CFLAGS"
export LDFLAGS="-L$RPM_BUILD_DIR/pcre/lib $LDFLAGS"
export LIBS="$LIBS $RPM_BUILD_DIR/pcre/lib/libpcre.a"
export LD_LIBRARY_PATH="$RPM_BUILD_DIR/pcre/lib:$LD_LIBRARY_PATH"
export PKG_CONFIG_PATH="$RPM_BUILD_DIR/pcre/lib/pkgconfig:$PKG_CONFIG_PATH"

%configure \
    --with-pic \
    --disable-lua \
    --disable-perl \
    --disable-python \
    --disable-ruby \
    --disable-tcl \
    --disable-silent-rules

%if 0%{?el4}
%{__make} %{?_smp_mflags}  LDFLAGS="-Wl,-rpath-link /usr/evolution28/%{_lib} -Wl,-rpath /usr/evolution28/%{_lib} $LDFLAGS"
%else
#%{__make} %{?_smp_mflags}
%{__make} -j1 LIBTOOL='$(SHELL) $(top_builddir)/libtool --verbose' LIBS="$LIBS"
%endif

%install
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR="%{buildroot}"

rm -rf "%{buildroot}/etc"
rm -rf "%{buildroot}/usr/bin"
rm -rf "%{buildroot}/usr/include"
rm -rf "%{buildroot}/usr/sbin"
rm -rf "%{buildroot}/usr/share"
rm -rf "%{buildroot}%{_libdir}"/*.a
rm -rf "%{buildroot}%{_libdir}"/*.la
rm -rf "%{buildroot}%{_libdir}/librrd.so"
rm -rf "%{buildroot}%{_libdir}/librrd_th.so"
rm -rf "%{buildroot}%{_libdir}/pkgconfig"
rm -rf "%{buildroot}/usr/lib/systemd"

%clean
%{__rm} -rf %{buildroot}
%if 0%{?el4}
%{__rm} -f %{_builddir}/find-requires-%{name}
%endif


%files
%defattr(-, root, root, 0755)
%doc CHANGES CONTRIBUTORS COPYRIGHT LICENSE NEWS THREADS TODO
%{_libdir}/librrd.so.*
%{_libdir}/librrd_th.so.*

